package com.muyu.common.core.validation.custom;

import com.muyu.common.core.enums.SysPayType;
import jakarta.validation.ConstraintValidator;
import jakarta.validation.ConstraintValidatorContext;

/**
 * @Author: wangxinyuan
 * @Date: 2024/8/5 下午7:51
 */
public class SystemPayTypeValidator implements ConstraintValidator<IsSystemPayType, String> {
    @Override
    public boolean isValid(String value, ConstraintValidatorContext constraintValidatorContext) {
        return SysPayType.isCode(value);
    }
}
